<template>
    <div class="content__leftAnalitika">
        <page-form :page="page" @submit="save" v-if="page"/>
    </div>
</template>

<script>
import PageForm from "../components/pages/PageForm";
import {mapGetters} from "vuex";
import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";

export default {
        name: "PageEdit",
        mixins: [laravelValidationErrorParse],
        props: {
            id: {
                required: true,
                type: String|Number
            }
        },
        data(){
            return {
                page: undefined
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
            load(){
                this.axios
                    .get(`pages/${this.id}`)
                    .then(resp => resp.data)
                    .then(page => this.page = page);
            },
            save(formData){
                this.axios
                    .post(`pages/${this.id}`, formData)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal(this.$t('ui.success'));
                        }else{
                            this.$swal(this.$t('ui.error'), data.message, 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
        mounted() {
            this.load();
        },
        components: {
            PageForm
        }
    }
</script>

<style scoped>

</style>
